function init(hero) {
    hero.setName("Green Lantern Kilowog");
    hero.setTier(8);

    hero.setChestplate("Ring");
    hero.addPrimaryEquipment("fiskheroes:chokuto", true, item => !item.nbt().getBoolean("Dual"));
    hero.addPrimaryEquipment("minecraft:emerald_block", true);
    hero.addPrimaryEquipment("fiskheroes:ruptures_scythe", true);

    hero.addPowers("eden:green_power_ring");
    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 100.5, 0);

    hero.addKeyBind("CHARGED_BEAM", "Lantern Beam", 1);
    hero.addKeyBind("ENERGY_PROJECTION", "Ring Grab", 2);
    hero.addKeyBind("TELEKINESIS", "Ring Grab", 2);
    hero.addKeyBind("SHIELD", "Wall Construct", 4);
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("UTILITY_BELT", "Web Construct", 1);
    hero.addKeyBind("GROUND_SMASH", "Lantern Beam/Ground Smash", 1);
    hero.addKeyBind("BLADE", "Mace Construct", 3);

    hero.setDefaultScale(1.2);

    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);

    hero.setHasProperty(hasProperty);

    hero.setKeyBindEnabled(isKeyBindEnabled);

    hero.addAttributeProfile("BLADE", bladeProfile);
}

function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
            case "UTILITY_BELT":
                return entity.isSneaking();
    default:
            return true;
}
}

function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 10.0, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}